Subject: Has Final INS Regulation on the Implementation of CSPA been out??

From: "Yude Zhao" <[email-masked]>
Date: Sat, 8 Jan 94 19:53:35 CST

Dear Fellows:

I wonder whether the final CSPA Regulation has been
out.
We had INS Regulation called "interim rule". Now
almost half year has gone since the "interim rule"
was out.
I never heard about Final INS Regulation on the
Implementation of CSPA.
There are still many people who are either waiting or
whose applications
are still pending because various reasons such as
90-day problem,
illegal entry problems, ... etc.
I appreciate if anyone keeps us informed. Thanks.